Subject: bug#52788: static networking: Support pointopoint/peer

From: Julien Lepiller <[email-masked]>
Date: Sat, 25 Dec 2021 11:05:05 -0500

It was not supported in guile-netlink, so I added support for #:peer and other new arguments in addr-add and addr-del. There's no release yet, but I'd be glad if you could check it works as expected (--with-latest=guile-netlink should work).

Le 25 décembre 2021 08:03:16 GMT-05:00, Jonathan Brielmaier <[email-masked]> a écrit :
>
>Hi folks,
>
>it would be nice if `static-networking` would support the  pointopoint
>or peer parameter. This one is required to get IPv4 at Hetzner Cloud.
>
>The relevant ip statement is:
>ip address add IPv4/32 dev eth0 peer 172.31.1.1
>                                 ^^^^^^^^^^^^^^^
>
>Is this functionality already implemented by guile-netlink? If yes, I
>could try to add this feature to our static-networking-service-type :)
>
>~Jonathan
>
>
>